package com.uas.ps.inquiry;

import com.uas.ps.core.util.ContextUtils;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.event.ApplicationPreparedEvent;
import org.springframework.context.ApplicationListener;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

import java.io.FileNotFoundException;


/**
 * 应用入口
 *
 * @author sunyj
 * @since 2017年8月16日 下午4:00:03
 */
@EnableTransactionManagement(proxyTargetClass = true)
@SpringBootApplication(scanBasePackages = "com.uas.ps.inquiry")
@EnableWebMvc
@EnableScheduling
//@EnableSSO
public class Application {
    public static void main(String[] args) throws FileNotFoundException {
        SpringApplication application = new SpringApplication(Application.class);
        application.addListeners(new ApplicationListener<ApplicationPreparedEvent>() {
            @Override
            public void onApplicationEvent(ApplicationPreparedEvent event) {
                ContextUtils.setApplicationContext(event.getApplicationContext());
            }
        });
        application.run(args);
    }
}
