package com.uas.ps.inquiry.dao;

import com.uas.ps.inquiry.model.PurcInquiry;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 公共询价临时表中间表数据库操作
 *
 * Created by hejq on 2018-01-14.
 */
@Repository
public interface PurcInquiryDao extends JpaRepository<PurcInquiry, Long>, JpaSpecificationExecutor<PurcInquiry> {

    /**
     * 通过询价单号和企业UU查询询价单
     *
     * @param bi_code 询价单号
     * @param enuu 企业UU
     * @return
     */
    List<PurcInquiry> findByCodeAndEnUU(String bi_code, Long enuu);
}
