package com.uas.ps.inquiry.dao;

import com.uas.ps.inquiry.model.PurcInquiryItemInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * 询价明细数据库操作
 * <pre>
 *      明细带出主表信息，列表查询使用
 *  </pre>
 * Created by hejq on 2018-01-17.
 */
@Repository
public interface PurcInquiryItemInfoDao extends JpaSpecificationExecutor<PurcInquiryItemInfo>, JpaRepository<PurcInquiryItemInfo, Long> {

    /**
     * 查询某年某月的询价明细总数
     *
     * @param month
     * @return
     */
    @Query(value = "select count(*) from purc$puinquiryitems where year(id_date)=?1 and month(id_date) = ?2", nativeQuery = true)
    Long countByMonth(Integer year, Integer month);
}
