package com.uas.ps.inquiry.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 企业信息，询价所有信息存在公共服务，这里需要关联企业信息
 *
 * Created by hejq on 2018-01-18.
 */
@Entity
@Table(name = "sec$enterprises")
public class Enterprise implements Serializable {

    /**
     * 序列号
     */
    private static final long serialVersionUID = 1L;

    /**
     * uu号
     */
    @Id
    @Column(name = "en_uu")
    private Long uu;

    /**
     * 公司名称
     */
    @Column(name = "en_name")
    private String enName;

    /**
     * 公司电话
     */
    @Column(name = "en_tel")
    private String enTel;

    /**
     * 注册地址
     */
    @Column(name = "en_address")
    private String enAddress;

    /**
     * 营业执照号
     */
    @Column(name = "en_businesscode")
    private  String businesscode;

    /**
     * 企业管理员UU
     */
    @Column(name = "en_adminuu")
    private Long adminUU;

    public Long getUu() {
        return uu;
    }

    public void setUu(Long uu) {
        this.uu = uu;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getEnTel() {
        return enTel;
    }

    public void setEnTel(String enTel) {
        this.enTel = enTel;
    }

    public String getEnAddress() {
        return enAddress;
    }

    public void setEnAddress(String enAddress) {
        this.enAddress = enAddress;
    }

    public String getBusinesscode() {
        return businesscode;
    }

    public void setBusinesscode(String businesscode) {
        this.businesscode = businesscode;
    }

    public Long getAdminUU() {
        return adminUU;
    }

    public void setAdminUU(Long adminUU) {
        this.adminUU = adminUU;
    }

    @Override
    public String toString() {
        return "Enterprise{" +
                "uu=" + uu +
                ", enName='" + enName + '\'' +
                ", enTel='" + enTel + '\'' +
                ", enAddress='" + enAddress + '\'' +
                ", businesscode='" + businesscode + '\'' +
                ", adminUU=" + adminUU +
                '}';
    }
}
