package com.uas.ps.inquiry.model;

import javax.persistence.*;
import java.util.Date;

/**
 * 存贮商城替代物料
 */
@Table(name = "v$product$replace")
@Entity
public class ProductReplace {

    @Id
    @GeneratedValue
    @Column(name = "id")
    private Long id;

    /**
     * 用户uu
     */
    @Column(name = "ptr_useruu")
    private Long userUU;

    /**
     * 物料id
     */
    @Column(name = "ptr_prid")
    private Long productId;

    /**
     * 原型号型号(冗余p字段)
     */
    @Column(name = "p_cmpcode" ,length = 800)
    private String pCmpcode;

    /**
     * 原品牌品牌(冗余p字段)
     */
    @Column(name = "p_pbranden")
    private String pBranden;

    /**
     * 可替代型号
     */
    @Column(name = "ptr_cmpcode" ,length = 800)
    private String ptrCmpcode;

    /**
     * 可替代品牌
     */
    @Column(name = "ptr_pbranden")
    private String ptrBranden;

    /**
     * UUID 标准料号
     * @return
     */
    @Column(name = "ptr_cmpuuid")
    private String ptrCmpUuId;

    /**
     * 可替代品牌（uuid）
     */
    @Column(name = "ptr_pbranduuid")
    private String ptrBrandUuid;

    /**
     * 创建时间
     */
    @Temporal(TemporalType.TIMESTAMP)
    @org.hibernate.annotations.CreationTimestamp
    @Column(name = "ptr_createtime")
    private Date time;

    /**
     * 序号
     */
    @Column(name = "ptr_detno", nullable = false)
    private Short detno;

    /**
     * 企业uu
     */
    @Column(name = "pr_enuu")
    private Long enuu;

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserUU() {
        return userUU;
    }

    public void setUserUU(Long userUU) {
        this.userUU = userUU;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getpCmpcode() {
        return pCmpcode;
    }

    public void setpCmpcode(String pCmpcode) {
        this.pCmpcode = pCmpcode;
    }

    public String getpBranden() {
        return pBranden;
    }

    public void setpBranden(String pBranden) {
        this.pBranden = pBranden;
    }

    public String getPtrCmpcode() {
        return ptrCmpcode;
    }

    public void setPtrCmpcode(String ptrCmpcode) {
        this.ptrCmpcode = ptrCmpcode;
    }

    public String getPtrBranden() {
        return ptrBranden;
    }

    public void setPtrBranden(String ptrBranden) {
        this.ptrBranden = ptrBranden;
    }

    public String getPtrCmpUuId() {
        return ptrCmpUuId;
    }

    public void setPtrCmpUuId(String ptrCmpUuId) {
        this.ptrCmpUuId = ptrCmpUuId;
    }

    public String getPtrBrandUuid() {
        return ptrBrandUuid;
    }

    public void setPtrBrandUuid(String ptrBrandUuid) {
        this.ptrBrandUuid = ptrBrandUuid;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Short getDetno() {
        return detno;
    }

    public void setDetno(Short detno) {
        this.detno = detno;
    }
}
